local ADDON, Package = ...

local function aura_duration()
  local function AuraButton_UpdateDuration(aura_button, time_left)
    if time_left >= 3600 and time_left <= 7200 then
      aura_button.duration:SetText(MINUTE_ONELETTER_ABBR:format(ceil(time_left / 60)))
    end
  end

  hooksecurefunc("AuraButton_UpdateDuration", AuraButton_UpdateDuration)
end

Package.aura_duration = aura_duration
